# $Revision: 1.6 $, $Date: 2010/08/09 13:43:02 $
Summary:	libgee - GObject collection library
Summary(pl.UTF-8):	libgee - GObject collection library
Name:		libgee
Version:	0.5.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgee/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	fc5a36eb5f61154a1456cbb8b1798e41
URL:		http://live.gnome.org/Libgee
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vala
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

%description -l pl.UTF-8
libgee jest zbiorem bibliotek dostarczających interfejs GObject i
klasy powszechnie używanych struktur danych.

%package devel
Summary:	Header files for libgee library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0

%description devel
Header files for libgee library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgee.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgee.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgee.so.2
%{_libdir}/girepository-1.0/Gee-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgee.so
%{_libdir}/libgee.la
%{_pkgconfigdir}/gee-1.0.pc
%{_includedir}/gee-1.0
%{_datadir}/vala/vapi/gee-1.0.vapi
%{_datadir}/gir-1.0/Gee-1.0.gir

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgee.spec,v $
Revision 1.6  2010/08/09 13:43:02  megabajt
- updated to 0.5.2

Revision 1.5  2010/07/01 09:54:36  megabajt
- updated to 0.5.1

Revision 1.4  2009/11/08 17:12:42  wiget
- updated to 0.5.0

Revision 1.3  2009/08/02 10:03:16  megabajt
- updated to 0.2.0

Revision 1.2  2009/04/10 13:47:01  megabajt
- revised deps
- added URL
- release 1

Revision 1.1  2009/04/10 13:41:04  megabajt
- new (by zajac_p at o2.pl)
